Bug 1240147 - SugarExt can not be loaded properly, blocking Sugar startup
Summary: SugarExt can not be loaded properly, blocking Sugar startup
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar-toolkit-gtk3
Version: 23
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Schampijer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 1240354 (view as bug list)
Depends On:
Blocks: harden-failure F23BetaFreezeException F23FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-07-06 05:19 UTC by Sam P.
Modified: 2015-11-28 18:45 UTC (History)
6 users (show)

Fixed In Version: 0.106.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-16 02:25:33 UTC
Type: Bug


Attachments (Terms of Use)
Sugar shell log showing the error (3.69 KB, text/plain)
2015-07-06 05:19 UTC, Sam P.
no flags Details

Description Sam P. 2015-07-06 05:19:45 UTC
Created attachment 1048658 [details]
Sugar shell log showing the error

Description of problem:
The '/lib64/libsugarext.so.0' file installed by the package manager causes an error, crashing startup.  The error is enclosed in the log attached.

However, when compiling sugar using sugar-build, the '/lib64/libsugarext.so.0' generated is proper and does not cause any errors.

Version-Release number of selected component (if applicable):
Tested on a Fedora Rawhide desktop install.  Also tested on a SoaS Rawhide build <http://koji.fedoraproject.org/koji/taskinfo?taskID=10290898>

How reproducible:
Always

Steps to Reproduce:
1. Launch sugar (sugar-runner or using it as your de)

Actual results:
Sugar crashes

Expected results:
Sugar does not crash

Comment 1 Peter Robinson 2015-07-06 09:56:51 UTC
Can you use abrt to submit a full crash dump so I can see full crash dump

Comment 2 Peter Robinson 2015-07-06 10:00:13 UTC
Actually looks like it's trying to load it from the wrong location

** (main.py:1932): WARNING **: Failed to load shared library 'libsugarext.so.0' referenced by the typelib: /lib64/libsugarext.so.0: undefined symbol: sugar_event_controller_get_state

It should be /usr/lib64 not /lib64

Comment 3 Sam P. 2015-07-06 11:59:53 UTC
I'm not 100% sure how to get the full dump.

The error does not show up in ABRT gui app.

Comment 4 Sam P. 2015-07-08 22:27:51 UTC
Just tested; the issue is still present in the 0.106 builds for rawhide.

Comment 5 Jan Kurik 2015-07-15 13:21:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Sam P. 2015-07-20 11:21:37 UTC
Ok, I'm going to clear the need info in hope of getting some info.  Is there a way to get the ABRT dump if it doesn't show up in the gui?

Comment 7 Peter Robinson 2015-07-20 11:31:17 UTC
abrt-cli

Comment 8 Sam P. 2015-07-20 21:40:38 UTC
Hum, can't find it there either.  All return nothing:

    ~ $ abrt-cli ls | grep 'sugar-runner --resolution="1200x900"'
    ~ $ abrt-cli ls | grep -i 'sugarext'
    ~ $ abrt-cli ls | grep '/lib64'

Comment 9 Sam P. 2015-08-29 00:04:58 UTC
Hum, when I ran "Fedora-Live-SoaS-i686-23_Alpha-2.iso" I get exactly the same issue.  It appears that the compilation issue is cross arch.

This is a BLOCKER bug for Sugar and SoaS BTW.

Comment 10 Peter Robinson 2015-09-06 08:23:11 UTC
*** Bug 1240354 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Update System 2015-09-08 09:35:12 UTC
sugar-toolkit-gtk3-0.106.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15309

Comment 12 Fedora Update System 2015-09-08 17:51:24 UTC
sugar-toolkit-gtk3-0.106.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sugar-toolkit-gtk3'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15309

Comment 13 satellitgo 2015-09-09 21:22:46 UTC
"On 9/9/2015 10:05 AM, Jerry Vonau wrote:
Confirmed for F23, boot TC4 with systemd.unit=runlevel3.target, login as
liveuser, "sudo dnf --enablerepo=updates-testing update
sugar-toolkit-gtk3",
"sudo systemctl isolate runlevel5.target" results in Sugar loading."

I can confirm this works  in virt-manager install of f23 SoaS live x86_64

Comment 14 satellitgo 2015-09-10 04:35:49 UTC
(In reply to satellitgo from comment #13)
> "On 9/9/2015 10:05 AM, Jerry Vonau wrote:
> Confirmed for F23, boot TC4 with systemd.unit=runlevel3.target, login as
> liveuser, "sudo dnf --enablerepo=updates-testing update
> sugar-toolkit-gtk3",
> "sudo systemctl isolate runlevel5.target" results in Sugar loading."
> 
> I can confirm this works  in virt-manager install of f23 SoaS live x86_64
also f23 soas live i686 TC-4

Comment 15 Adam Williamson 2015-09-10 18:33:05 UTC
no reason to block AlphaFreezeException any more.

Comment 16 Adam Williamson 2015-09-10 19:37:49 UTC
Discussed at 2015-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-09-10/f23-blocker-review.2015-09-10-16.00.log.txt . Accepted as a Beta freeze exception issue: this would be a blocker for a release-blocking desktop, hence it's accepted as a freeze exception issue for non-release-blocking desktop.

Comment 17 Fedora Update System 2015-09-16 02:25:31 UTC
sugar-toolkit-gtk3-0.106.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Jerry Vonau 2015-11-28 18:45:44 UTC
(In reply to Peter Robinson from comment #2)
> Actually looks like it's trying to load it from the wrong location
> 
> ** (main.py:1932): WARNING **: Failed to load shared library
> 'libsugarext.so.0' referenced by the typelib: /lib64/libsugarext.so.0:
> undefined symbol: sugar_event_controller_get_state
> 
> It should be /usr/lib64 not /lib64

Could an error warning like below cause the above wrong location? 

libtool: install: warning: remember to run `libtool --finish /usr/lib64'

I noticed this warning in a copr build, just wondering.


Note You need to log in before you can comment on or make changes to this bug.